Bug 2088779

Summary: kdepimlibs has a filename conflict with kf5-akonadi-mime
Product: [Fedora] Fedora Reporter: stan <gryt2>
Component: kdepimlibsAssignee: Rex Dieter <rdieter>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: gryt2, jgrulich, jreznik, kde-sig, mailinglists, me, m, rdieter, smparrish, than
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: kdepimlibs-4.14.10-40.fc36 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-05-27 14:44:00 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description stan 2022-05-20 16:18:57 UTC
Description of problem:
Error: Transaction test error:
  file /usr/share/config.kcfg/specialmailcollections.kcfg from install of kdepimlibs-4.14.10-39.fc36.x86_64 conflicts with file from package kf5-akonadi-mime-22.04.1-1.fc37.x86_64

Version-Release number of selected component (if applicable):
kdepimlibs-4.14.10-39.fc36.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Have  kf5-akonadi-mime-22.04.1-1.fc37.x86_64 installed
2. Install kdepimlibs-4.14.10-39.fc36.x86_64 
3.

Actual results:
The error above

Expected results:
kdepimlibs install

Additional info:
I noticed this after a recent large update to kde packages.  And the kdepimlibs are from f36 instead of current rawhide, which is future f37.

Comment 1 Rex Dieter 2022-05-25 15:41:19 UTC
I'll take a look

Comment 2 Rex Dieter 2022-05-25 15:47:08 UTC
%changelog
* Wed May 25 2022 Rex Dieter <rdieter> - 4.14.10-40
- omit specialmailcollections.kcfg (conflicts with kf5-akonadi-mime)

Comment 3 stan 2022-05-26 12:42:17 UTC
Thanks!

Comment 4 Fedora Update System 2022-05-26 21:47:27 UTC
FEDORA-2022-5bcd51e205 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-5bcd51e205

Comment 5 Fedora Update System 2022-05-27 02:15:56 UTC
FEDORA-2022-5bcd51e205 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-5bcd51e205`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-5bcd51e205

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 stan 2022-05-27 14:43:30 UTC
Success.  Thanks again.

Comment 7 Fedora Update System 2022-06-12 01:41:25 UTC
FEDORA-2022-5bcd51e205 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-5bcd51e205`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-5bcd51e205

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-06-14 01:38:20 UTC
FEDORA-2022-5bcd51e205 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.